/* From kernel linux/major.h */
#define MMC_BLOCK_MAJOR                 179

/* From kernel linux/mmc/mmc.h */
#define MMC_READ_SINGLE_BLOCK    17   /* adtc [31:0] data addr   R1  */
#define MMC_WRITE_BLOCK         24      /* adtc [31:0] data addr        R1  */



/* From kernel linux/mmc/core.h */
#define MMC_RSP_PRESENT (1 << 0)
#define MMC_RSP_136     (1 << 1)                /* 136 bit response */
#define MMC_RSP_CRC     (1 << 2)                /* expect valid crc */
#define MMC_RSP_BUSY    (1 << 3)                /* card may send busy */
#define MMC_RSP_OPCODE  (1 << 4)                /* response contains opcode */

#define MMC_CMD_AC      (0 << 5)
#define MMC_CMD_ADTC    (1 << 5)

#define MMC_RSP_R1      (MMC_RSP_PRESENT|MMC_RSP_CRC|MMC_RSP_OPCODE)
#define MMC_RSP_R1B     (MMC_RSP_PRESENT|MMC_RSP_CRC|MMC_RSP_OPCODE|MMC_RSP_BUSY)


#define MMC_DATA_WRITE  (1 << 8)
#define MMC_DATA_READ   (1 << 9)

